## kbd-chooser 0.54ubuntu3

=== Makefile ===

ifdef DEBUG
DEB_BUILD_OPTIONS := debug:$(DEB_BUILD_OPTIONS)
endif

CFLAGS := -Wall  -I.
ARCH := $(shell dpkg --print-architecture)

OBJS := loadkeys.o findfile.o ksyms.o  getfd.o

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g  -DDEBUG=1
OBJS += xmalloc.o
STRIP= /bin/true
else
CFLAGS +=  -DNDEBUG=1 -fomit-frame-pointer -Os
STRIPTOOL=strip
STRIP= $(STRIPTOOL) --remove-section=.note --remove-section=.comment
endif

LDOPTS=  -ldebconfclient -ldebian-installer

ifeq ($(ARCH),alpha)
CFLAGS += -DAT_KBD  -DUSB_KBD
KEYBOARDS := at usb
endif
ifeq ($(ARCH),i386)
CFLAGS += -DAT_KBD  -DUSB_KBD 
KEYBOARDS := at usb
endif
ifeq ($(ARCH),amd64)
CFLAGS += -DAT_KBD  -DUSB_KBD
KEYBOARDS := at usb
endif
ifeq ($(ARCH),ia64)
CFLAGS += -DAT_KBD  -DUSB_KBD 
KEYBOARDS := at usb
endif
ifeq ($(ARCH),mips)
CFLAGS += -DAT_KBD -DUSB_KBD
KEYBOARDS := at usb
endif
ifeq ($(ARCH),mipsel)
CFLAGS += -DAT_KBD -DUSB_KBD -DDEC_KBD
KEYBOARDS := at usb dec
endif
ifeq ($(ARCH),sparc)
CFLAGS += -DSPARC_KBD -DUSB_KBD 
KEYBOARDS := sparc usb
endif
ifeq ($(ARCH),powerpc)
CFLAGS +=  -DUSB_KBD -DAT_KBD -DAMIGA_KBD  -DMAC_KBD
KEYBOARDS := at usb amiga mac
endif
ifeq ($(ARCH),arm)
CFLAGS +=  -DAT_KBD -DUSB_KBD 
KEYBOARDS := at usb
endif
ifeq ($(ARCH),m68k)
CFLAGS += -DAMIGA_KBD -DATARI_KBD -DMAC_KBD -DAT_KBD -DSPARC_KBD -D__m68k__
KEYBOARDS := amiga atari mac at sparc
endif
# For the moment, don't include HIL keyboards
ifeq ($(ARCH),hppa)
CFLAGS += -DAT_KBD -DUSB_KBD
KEYBOARDS := at usb
endif

TEMPLATES := debian/templates-in $(patsubst %, debian/keyboard-%.templates, $(KEYBOARDS))
OBJS += $(patsubst %, %-kbd.o, $(KEYBOARDS))

all: kbd-chooser debian/kbd-chooser.templates

kbd-chooser: ${OBJS} kbd-chooser.c
	$(CC) $(CFLAGS) kbd-chooser.c -o $@ $(OBJS) $(LDOPTS)
	$(STRIP) $@

debian/kbd-chooser.templates:  $(TEMPLATES)
	cat $(TEMPLATES) >  $@
	
# loadkeys.o: separate rule since the flex output does not permit -Wall
loadkeys.o:     loadkeys.c analyze.c
	$(CC) -c $(CFLAGS) $(DEFS) $<

clean:
	rm -f *~ *.o kbd-chooser analyze.c loadkeys.c demo demo.templates *#
	rm -f debian/kbd-chooser.templates

install:
	mkdir -p $(DESTDIR)/usr/bin
	cp kbd-chooser $(DESTDIR)/usr/bin/kbd-chooser

.PHONY: demo
demo.templates: debian/kbd-chooser.templates
	po2debconf $< > $@

demo: demo.templates kbd-chooser
	rm -f demo
	ln -s kbd-chooser demo
	DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./demo
	rm -f demo.templates demo

=== debian/changelog ===
kbd-chooser (0.54ubuntu3) warty; urgency=low

  * Bump keymap question priority to critical (closes: Warty #1426).

 -- Colin Watson <cjwatson@canonical.com>  Tue, 21 Sep 2004 21:28:37 +0100

kbd-chooser (0.54ubuntu2) warty; urgency=low

  * Backport from Debian (Thiemo Seufer, closes: Warty #1464):
    - Add amd64 keyboard definition to the Makefile, thanks Kurt Roeckx.

 -- Colin Watson <cjwatson@canonical.com>  Sun, 19 Sep 2004 16:38:53 +0100

kbd-chooser (0.54ubuntu1) warty; urgency=low

  * Support UML by means similar to serial consoles, allowing configuration
    without a keyboard present

 -- Matt Zimmerman <mdz@debian.org>  Mon,  5 Jul 2004 15:20:34 -0700

kbd-chooser (0.54) unstable; urgency=low

  * Joshua Kwan
    - Add amd64 to Architecture list (Closes: #249364)
  * Alastair McKinstry
    - Fix default keyboard handling. Closes: #249164.
    - Don't include AT and USB keyboards on DECstations.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 May 2004 06:32:14 -0700

kbd-chooser (0.53) unstable; urgency=low

  * Fix calculation of default keymap by locale. Closes: #245477, #247466.
  * make kbd-chooser work with unicode maps. Closes: #247944.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 May 2004 19:07:16 +0100

kbd-chooser (0.52) unstable; urgency=low

  * Alastair McKinstry
    - On 2.6 kernels, detect sparc and amiga keyboards from /proc.
  * Stephen R. Marenka
    - Add sun3(x) m68k subarch.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 8 May 2004 15:10:24 +0100

kbd-chooser (0.51) unstable; urgency=low

  * Stephen R. Marenka
    - Fixed m68k exclusion for at keyboards, added q40 subarch.
    - Workaround adb keymap detection for 2.2 kernels.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Apr 2004 12:25:08 -0400

kbd-chooser (0.50) unstable; urgency=low

  * Matt Kraai
    - findfile.c: Do not find directories. Closes: #244997.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bokmal, Norwegian (nb.po) by Bjrn Steensrud
    - Norwegian Nynorsk (nn.po) by Hvard Korsvoll
    - Romanian (ro.po) by Eddy Petrisor
    - Vietnamese (vi.po) by Vu Quang Trung

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 12:53:30 -0400

kbd-chooser (0.49) unstable; urgency=low

  * Alastair McKinstry
    - Add initial HP HIL keyboard support
    - prebaseconfig: Only use Unicode Turkish keymaps for first stage
  * Joey Hess
    - Add a blank line to the end of templates-in, so the next file catted to
      it will end up in a different stanza (how fragile..)
  * Colin Watson
    - Fix ADB keymap detection logic: missing
      /proc/sys/dev/mac_hid/keyboard_sends_linux_keycodes indicates no ADB
      keymap support in the kernel.
  * Updated translations: 
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Alwin Meschede
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Héctor Fernández López
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Davide Viti
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Nikolai Prokoschenko
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by André Dahlqvist
    - Turkish (tr.po) by Osman Yüksel
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Apr 2004 11:17:31 -0400

kbd-chooser (0.48) unstable; urgency=low

  * Alastair McKinstry
    - findfile.c: re-include code to decompress keymaps.
      Needed to minimise memory usage.
    - Add Initial DEC keyboard support for mipsel.
   * Updated translations: 
     - Indonesian (id.po) by Parlin Imanuel Toh
     - Turkish (tr.po) by Osman Yüksel
     - Basque (eu.po) by Piarres Beobide Egaña
     - Galician (gl.po) by Héctor Fernández López 
     - Romanian (ro.po) by  Eddy Petrisor

 -- Alastair McKinstry <mckinstry@debian.org>  Mon,  5 Apr 2004 22:11:16 +0100

kbd-chooser (0.47) unstable; urgency=high

  * Alastair McKinstry
    - Fix regression: ensure console-archs always returns a value,
      Closes: #240171.
    - Improved AT-type keyboard detection on 2.6 kernels.
    - Don't offer mac USB keymaps on non-mac USB keyboards.
  * Translations:
    - Bosnian (bs.po) by Safir Šećerović

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Mar 2004 23:07:41 +0000

kbd-chooser (0.46) unstable; urgency=high

  * Updated translations: 
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Turkish (tr.po) by Osman Yüksel
  * Alastair McKinstry 
    - When using a serial console, ask "keyboard arch" question at low
      priority, defaulting to "none". Closes: #231219.
    - Also try to detect serial consoles from /proc/cmdline, to deal with
      UARTs that don't support TIOCGSERIAL.
    
 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Mar 2004 21:32:00 +0000

kbd-chooser (0.45) unstable; urgency=low

  * Updated translation
    - Russian by Nikolai Prokoschenko

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Mar 2004 13:41:03 -0500

kbd-chooser (0.44) unstable; urgency=low

  * Alastair McKinstry
    - Avoid segfault when we didn't pick a preferred keyboard. 
    Closes: #234513.


=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.1.16),  libdebian-installer4-dev, po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm m68k powerpc amd64
XB-Installer-Menu-Item: 12
Depends: ${shlibs:Depends}, console-keymaps, archdetect
Description: Detect a keyboard and select layout
 Try to auto-detect a keyboard, and select one for the user.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
PACKAGE=kbd-chooser
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH=$(shell dpkg --print-architecture)
FILENAME=$(PACKAGE)_$(VERSION)_$(ARCH).udeb

# Udebs have no postrm file, don't make one
export DH_OPTIONS=-n

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kbd-chooser
	install -m0755 debian/prebaseconfig  debian/$(PACKAGE)/usr/lib/prebaseconfig.d/70kbd-chooser
	install -m0755 debian/S55kbd-chooser debian/$(PACKAGE)/etc/rcS.d/S55kbd-chooser

# Build architecture-independent files here.
binary-indep: 

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_link
	dh_strip
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -n$(FILENAME)
	rm debian/$(PACKAGE)/DEBIAN/conffiles
	dh_builddeb --filename=$(FILENAME)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## kbd-chooser 1.09ubuntu17

=== debian/changelog ===
kbd-chooser (1.09ubuntu17) hoary; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update Greek translation (thanks, Giorgos Logiotatidis).
  * Update Norwegian Bokmål translation (thanks, Terance Edward Sola).
  * Update Romanian translation (thanks, Ovidiu Damian).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 17:02:50 +0100

kbd-chooser (1.09ubuntu16) hoary; urgency=low

  * Re-initialize a couple of global variables when setting the keymap.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 25 Mar 2005 00:15:09 +0100

kbd-chooser (1.09ubuntu15) hoary; urgency=low

  * Update French translation (thanks, Sebastien Bacher).
  * Update German translation (thanks, Maximilian Gerlach).
  * Update Hungarian translation (thanks, Gabor Burjan).
  * Update Indonesian translation (thanks, Yoppy Hidayanto).
  * Update Polish translation (thanks, Dominik Zabłotny).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2005 20:14:17 +0100

kbd-chooser (1.09ubuntu14) hoary; urgency=low

  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 01:15:55 +0000

kbd-chooser (1.09ubuntu13) hoary; urgency=low

  * Fix translations properly (templates.pot *must* be in the source
    package).
  * Fix missing quote in German translation.
  * Update Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Mar 2005 23:17:45 +0000

kbd-chooser (1.09ubuntu12) hoary; urgency=low

  * Add an empty line after the keyboard name
    and change the prompt appropriately.
  * Fixed up the translations
    - Xhosa was somewhat broken

 -- Matthias Urlichs <smurf@debian.org>  Thu, 24 Mar 2005 22:04:59 +0100

kbd-chooser (1.09ubuntu11) hoary; urgency=low

  * Add draft Xhosa translation (thanks, Adi Attar).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 13:51:23 +0000

kbd-chooser (1.09ubuntu10) hoary; urgency=low

  * Fixed a regression: (Ubuntu #7790)
    Simply selecting the default keymap did precisely nothing.

 -- Matthias Urlichs <smurf@debian.org>  Sat, 19 Mar 2005 06:31:37 +0100

kbd-chooser (1.09ubuntu9) hoary; urgency=low

  * Always let the current language be the default in the main chooser
    window.
  * Add an input box to test the keyboard.
    - Extend mydebconf_default_set() with a flag so that existing values
      may be overwritten
  * Always go back to the main menu after walking the decision map
    so that the user sees which keyboard has been chosen.
  * Moved the decision-tree existence test to the main menu.
  * Removed the exit(0) call from the end of loadkeys_wrapper(),
    made the keymap loader callable multiple times. OUCH!

 -- Matthias Urlichs <smurf@debian.org>  Mon, 14 Mar 2005 08:53:32 +0100

kbd-chooser (1.09ubuntu8) hoary; urgency=low

  * Set the selection method's default correctly.
    - This broke preconfiguration.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 25 Feb 2005 16:34:10 +0100

kbd-chooser (1.09ubuntu7) hoary; urgency=low

  * Added German translation of new features.

 -- Matthias Urlichs <smurf@debian.org>  Mon, 21 Feb 2005 18:17:11 +0100

kbd-chooser (1.09ubuntu6) hoary; urgency=low

  * Fix selecting a keyboard directly.
  * Removed BitKeeper gunk.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 18 Feb 2005 14:08:07 +0100

kbd-chooser (1.09ubuntu5) hoary; urgency=low

  * Added code+templates to ask for which keyboard selection method
    to use, if the file containing the decision tree is present.
    - Added German translation.
  * Run detect-keyboard (template: kbd-chooser/try) if told to do so.
  * Expanded the state machine to handle unimplemented and go-back results
    more correctly.
  * Killed translated_keyboard_get() -- cdebconf already does the
    translating for us.
  * Renamed mydebconf_get() to mydebconf_client(), and add a mydebconf_get()
    which actually calls debconf_get().

 -- Matthias Urlichs <smurf@debian.org>  Mon, 14 Feb 2005 21:00:07 +0100

kbd-chooser (1.09ubuntu4) hoary; urgency=low

  * Use AT keymaps on amd64 systems with USB keyboards, as was already done
    on i386.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jan 2005 13:25:41 +0000

kbd-chooser (1.09ubuntu3) hoary; urgency=low

  * Add link to prebaseconfig script in /usr/lib/casper/pre.d.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jan 2005 20:22:02 +0000

kbd-chooser (1.09ubuntu2) hoary; urgency=low

  * Drop keymap question priority back to high.
  * This package is identical to kbd-chooser 1.09.

 -- Colin Watson <cjwatson@canonical.com>  Sat,  1 Jan 2005 23:53:03 +0000

kbd-chooser (1.09ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 13 Dec 2004 09:25:26 +0100

kbd-chooser (1.09) unstable; urgency=low

  * Joey Hess
    - Apply "patch 1" from fjp to skip looking at varying Driver field
      when detecting usb keyoards. Closes: #248855

 -- Joey Hess <joeyh@debian.org>  Tue,  7 Dec 2004 17:59:07 -0500

kbd-chooser (1.08ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 11 Nov 2004 16:13:10 +0000

kbd-chooser (1.08) unstable; urgency=high

  * Joey Hess
    - Adding new questions to critical priority at this point breaks
      existing preseed setups, so undid Colin's change from the last version.
      Derived distros will have to deal with it in their own way until after
      sarge.
    - Add a note to TODO about this.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Nov 2004 12:22:26 -0500

kbd-chooser (1.07) unstable; urgency=high

  * Frans Pop
    - usb-kbd.c: several fixes:
      - Fix recognition of usb keyboards (actually add to and return the list)
      - Add recognition of usb keyboards behind an usbhid
      - Display AT-keymaps for usb keyboards on i386 and powerpc (prep & chrp)
      - Added some debug output to help trace problems; can be cleaned later
      - Some whitespace cleanup


## kbd-chooser 1.10

=== Makefile ===
--- 
+++ 
@@ -45,8 +45,8 @@
 KEYBOARDS := at usb dec
 endif
 ifeq ($(ARCH),sparc)
-CFLAGS += -DSPARC_KBD -DUSB_KBD 
-KEYBOARDS := sparc usb
+CFLAGS += -DAT_KBD -DSPARC_KBD -DUSB_KBD 
+KEYBOARDS := at usb sparc
 endif
 ifeq ($(ARCH),powerpc)
 CFLAGS +=  -DUSB_KBD -DAT_KBD -DAMIGA_KBD  -DMAC_KBD
@@ -66,13 +66,17 @@
 KEYBOARDS := at usb
 endif
 
-TEMPLATES := debian/templates-in $(patsubst %, debian/keyboard-%.templates, $(KEYBOARDS))
+TEMPLATES := debian/kbd-chooser.templates-in $(patsubst %, debian/keyboard-%.templates, $(KEYBOARDS))
 OBJS += $(patsubst %, %-kbd.o, $(KEYBOARDS))
 
-all: kbd-chooser debian/kbd-chooser.templates
+all: kbd-chooser kbd-mode debian/kbd-chooser.templates
 
 kbd-chooser: ${OBJS} kbd-chooser.c
 	$(CC) $(CFLAGS) kbd-chooser.c -o $@ $(OBJS) $(LDOPTS)
+	$(STRIP) $@
+
+kbd-mode: getfd.o kbd-mode.c
+	$(CC) $(CFLAGS) kbd-mode.c -o $@ getfd.o $(LDOPTS)
 	$(STRIP) $@
 
 debian/kbd-chooser.templates:  $(TEMPLATES)
@@ -83,12 +87,13 @@
 	$(CC) -c $(CFLAGS) $(DEFS) $<
 
 clean:
-	rm -f *~ *.o kbd-chooser analyze.c loadkeys.c demo demo.templates *#
+	rm -f *~ *.o kbd-mode kbd-chooser analyze.c loadkeys.c demo demo.templates *#
 	rm -f debian/kbd-chooser.templates
 
 install:
 	mkdir -p $(DESTDIR)/usr/bin
 	cp kbd-chooser $(DESTDIR)/usr/bin/kbd-chooser
+	cp kbd-mode $(DESTDIR)/usr/bin/kbd-mode
 
 .PHONY: demo
 demo.templates: debian/kbd-chooser.templates

=== debian/changelog ===
kbd-chooser (1.10) unstable; urgency=high

  * Joey Hess
     - Patch from Eugeniy Meshcheryako to do the same for Ukrainian keymap
       as was earlier done for other non-unicode, non-latin-1 languages 
       in version 1.05. Closes: #296264

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Feb 2005 11:57:11 -0500

=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 4.2), libdebian-installer4-dev, po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm m68k powerpc amd64
XB-Installer-Menu-Item: 12
Depends: ${shlibs:Depends}, console-keymaps, archdetect
Description: Detect a keyboard and select layout
XC-Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=kbd-chooser

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kbd-chooser
	install -m0755 debian/prebaseconfig  debian/$(PACKAGE)/usr/lib/prebaseconfig.d/70kbd-chooser
	install -m0755 debian/S55kbd-chooser debian/$(PACKAGE)/lib/debian-installer-startup.d/S55kbd-chooser

binary-indep: 

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_link
	dh_strip
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## kbd-chooser 1.18ubuntu8

=== Makefile ===
--- 
+++ 
@@ -81,6 +81,10 @@
 
 debian/kbd-chooser.templates:  $(TEMPLATES)
 	cat $(TEMPLATES) >  $@
+	# give the new templates file the same mtime as the input file, so
+	# that po2debconf doesn't decide that it needs to run
+	# debconf-updatepo
+	touch -mr debian/kbd-chooser.templates-in $@
 	
 # loadkeys.o: separate rule since the flex output does not permit -Wall
 loadkeys.o:     loadkeys.c analyze.c

=== debian/changelog ===
kbd-chooser (1.18ubuntu8) breezy; urgency=low

  * Set title and label in oem-config keyboard window to the translated
    descriptions of the same questions in the installer (Ubuntu #17366).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Oct 2005 21:46:52 +0100

kbd-chooser (1.18ubuntu7) breezy; urgency=low

  * Allow for not having a keyboard at all.

 -- Matthias Urlichs <smurf@debian.org>  Tue,  4 Oct 2005 08:03:08 +0200

kbd-chooser (1.18ubuntu6) breezy; urgency=low

  * Update Ubuntu-specific translations from Rosetta: Greek, Dutch,
    Norwegian Nynorsk, Slovak, Swedish.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Sep 2005 17:34:12 +0100

kbd-chooser (1.18ubuntu5) breezy; urgency=low

  * Update Ubuntu-specific translations from Rosetta: Spanish, Hungarian,
    Portuguese.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Sep 2005 12:07:20 +0100

kbd-chooser (1.18ubuntu4) breezy; urgency=low

  * oem-config/keyboard.glade: Set window gravity to center.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2005 13:23:37 +0100

kbd-chooser (1.18ubuntu3) breezy; urgency=low

  * Backport from trunk:
    - If a keymap list entry has the same keymap name as a previous one but
      a different language list, create a new keymap for it. This is
      required to select the correct default for Croatian (closes: Ubuntu
      #14711).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Sep 2005 13:25:53 +0100

kbd-chooser (1.18ubuntu2) breezy; urgency=low

  * Set kbd-chooser/method to the translated description of
    kbd-chooser/do_select, rather than just "Select from full keyboard
    list", due to a cdebconf bug influencing the design of kbd-chooser.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  9 Aug 2005 15:10:42 +0100

kbd-chooser (1.18ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  3 Aug 2005 11:16:41 +0100

kbd-chooser (1.18) unstable; urgency=low

  * mount -t usbdevfs is no longer supported; use mount -t usbfs instead.
    As 2.4.27 also supports the new format, we drop the old one; older
    kernels should no longer be relevant for Etch.

 -- Frans Pop <fjp@debian.org>  Tue,  2 Aug 2005 00:38:00 +0200

kbd-chooser (1.17ubuntu2) breezy; urgency=low

  * oem-config-keyboard: Don't fail if the current keymap doesn't match any
    of the current choices.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  2 Aug 2005 14:39:24 +0100

kbd-chooser (1.17ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Remove keyboard test UI from oem-config-keyboard; making it work
    involves messing with X keymaps, and is generally far too much pain at
    the moment.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Jul 2005 17:49:57 +0100

kbd-chooser (1.17) unstable; urgency=low

  * Add missing debian-installer/uml-console template.
  * Use di_system_subarch_analyze rather than forking archdetect.
  * Updated translations:
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jul 2005 11:06:50 +0100

kbd-chooser (1.16ubuntu2) breezy; urgency=low

  * Simplify default choice handling in oem-config-keyboard.
  * Pass through return value from WizardStep.run(), and handle backups
    through kbd-chooser/method better.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Jul 2005 22:29:35 +0100

kbd-chooser (1.16ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Add oem-config-keyboard package, providing kbd-chooser as an oem-config
    module.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Jul 2005 11:17:15 +0100

kbd-chooser (1.16) unstable; urgency=low

  * Matt Kraai
    - Do not include <linux/keyboard.h>. (Closes: #317861)
    - Add self to Uploaders.

 -- Matt Kraai <kraai@debian.org>  Sun, 17 Jul 2005 06:12:44 -0700

kbd-chooser (1.15ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Jul 2005 12:53:32 +0100

kbd-chooser (1.15) unstable; urgency=low

  * Colin Watson
    - Give debian/kbd-chooser.templates the same mtime as
      debian/kbd-chooser.templates-in, so that po2debconf doesn't decide
      that it needs to run debconf-updatepo on every binary package build.
    - Improve copyright file a little, thanks to lintian.
    - Squash various signedness warnings from gcc-4.0.
  * Frans Pop
    - Fix segfault if localechooser is not present by setting default
      for debian-installer/language. (Closes: #314721)
    - While we're at it, improve check for debian-installer/locale.
  * Updated translations: 
    - Vietnamese (vi.po) added by Clytie Siddall

 -- Christian Perrier <bubulle@debian.org>  Wed,  6 Jul 2005 14:25:00 +0200

kbd-chooser (1.14ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 May 2005 14:31:27 +0100

kbd-chooser (1.14) unstable; urgency=low

  * Colin Watson
    - Rename mydebconf_get() to mydebconf_client(), which is less
      gratuitously confusing.
  * Joey Hess
    - Fix path to archdetect.
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team

 -- Joey Hess <joeyh@debian.org>  Mon, 23 May 2005 10:27:23 -0400

kbd-chooser (1.13ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 May 2005 13:00:31 +0100

kbd-chooser (1.13) unstable; urgency=low

  * Joey Hess
    - Call archdetect command instead of using debconf template.
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Kostas Papadimas
    - Basque (eu.po) by Piarres Beobide
    - Hebrew (he.po) by Lior Kaplan
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes

 -- Joey Hess <joeyh@debian.org>  Sat, 21 May 2005 13:37:18 -0400

kbd-chooser (1.12ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  6 May 2005 14:03:06 +0100



=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>
Build-Depends: debhelper (>= 4.2), libdebian-installer4-dev (>= 0.31), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm m68k powerpc amd64
XB-Installer-Menu-Item: 12
Depends: ${shlibs:Depends}, console-keymaps
Description: Detect a keyboard and select layout
XC-Package-Type: udeb

Package: oem-config-keyboard
Section: admin
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm m68k powerpc amd64
Depends: ${shlibs:Depends}, console-data (>= 2002.12.04dbs-49ubuntu2)
Enhances: oem-config
Description: Detect a keyboard and select layout
 This package provides a keyboard selection module for oem-config, using
 the same code as is used in the installer.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 PACKAGE=kbd-chooser
+OCPACKAGE=oem-config-keyboard
 
 build: build-stamp
 build-stamp:
@@ -19,19 +20,28 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_installdirs
+	dh_installdirs -a
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/kbd-chooser
 	install -m0755 debian/prebaseconfig  debian/$(PACKAGE)/usr/lib/prebaseconfig.d/70kbd-chooser
 	install -m0755 debian/S55kbd-chooser debian/$(PACKAGE)/lib/debian-installer-startup.d/S55kbd-chooser
+	dh_install -p$(OCPACKAGE) kbd-chooser kbd-mode usr/lib/oem-config/
+	dh_install -p$(OCPACKAGE) oem-config/* usr/lib/oem-config/menu/
 
 binary-indep: 
 
+binary-arch: DH_OPTIONS=-a
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdebconf
+	dh_installdocs -p$(OCPACKAGE)
+	dh_installchangelogs -p$(OCPACKAGE)
+	dh_installdebconf -p$(PACKAGE)
+	sed -e 's,Template: debian-installer/kbd-chooser/title,Template: oem-config/menu/keyboard,' \
+		< debian/$(PACKAGE)/DEBIAN/templates \
+		> debian/$(OCPACKAGE)/usr/lib/oem-config/menu/keyboard.templates
 	dh_link
 	dh_strip
+	dh_compress
 	dh_fixperms
 	dh_makeshlibs
 	dh_installdeb

## kbd-chooser 1.30ubuntu1

=== Makefile ===
--- 
+++ 
@@ -3,14 +3,16 @@
 DEB_BUILD_OPTIONS := debug:$(DEB_BUILD_OPTIONS)
 endif
 
-CFLAGS := -Wall  -I.
+CFLAGS := -g -Wall  -I. -Werror
 ARCH := $(shell dpkg --print-architecture)
 
-OBJS := loadkeys.o findfile.o ksyms.o  getfd.o
+OBJS := 
+KBD_CHOOSER_APPLY_OBJS := loadkeys.o findfile.o ksyms.o getfd.o
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -g  -DDEBUG=1
 OBJS += xmalloc.o
+KBD_CHOOSER_APPLY_OBJS += xmalloc.o
 STRIP= /bin/true
 else
 CFLAGS +=  -DNDEBUG=1 -fomit-frame-pointer -Os
@@ -49,8 +51,12 @@
 KEYBOARDS := at usb sparc
 endif
 ifeq ($(ARCH),powerpc)
-CFLAGS +=  -DUSB_KBD -DAT_KBD -DAMIGA_KBD  -DMAC_KBD
+CFLAGS +=  -DUSB_KBD -DAT_KBD -DAMIGA_KBD -DMAC_KBD
 KEYBOARDS := at usb amiga mac
+endif
+ifeq ($(ARCH),ppc64)
+CFLAGS +=  -DUSB_KBD -DAT_KBD -DMAC_KBD
+KEYBOARDS := at usb mac
 endif
 ifeq ($(ARCH),arm)
 CFLAGS +=  -DAT_KBD -DUSB_KBD 
@@ -69,10 +75,14 @@
 TEMPLATES := debian/kbd-chooser.templates-in $(patsubst %, debian/keyboard-%.templates, $(KEYBOARDS))
 OBJS += $(patsubst %, %-kbd.o, $(KEYBOARDS))
 
-all: kbd-chooser kbd-mode debian/kbd-chooser.templates
+all: kbd-chooser kbd-chooser-apply kbd-mode debian/kbd-chooser.templates
 
 kbd-chooser: ${OBJS} kbd-chooser.c
 	$(CC) $(CFLAGS) kbd-chooser.c -o $@ $(OBJS) $(LDOPTS)
+	$(STRIP) $@
+
+kbd-chooser-apply: $(KBD_CHOOSER_APPLY_OBJS) kbd-chooser-apply.c
+	$(CC) $(CFLAGS) -o $@ kbd-chooser-apply.c $(KBD_CHOOSER_APPLY_OBJS) $(LDOPTS)
 	$(STRIP) $@
 
 kbd-mode: getfd.o kbd-mode.c
@@ -86,17 +96,16 @@
 	# debconf-updatepo
 	touch -mr debian/kbd-chooser.templates-in $@
 	
-# loadkeys.o: separate rule since the flex output does not permit -Wall
 loadkeys.o:     loadkeys.c analyze.c
-	$(CC) -c $(CFLAGS) $(DEFS) $<
 
 clean:
-	rm -f *~ *.o kbd-mode kbd-chooser analyze.c loadkeys.c demo demo.templates *#
+	rm -f *~ *.o kbd-mode kbd-chooser kbd-chooser-apply analyze.c loadkeys.c demo demo.templates *#
 	rm -f debian/kbd-chooser.templates
 
 install:
 	mkdir -p $(DESTDIR)/usr/bin
 	cp kbd-chooser $(DESTDIR)/usr/bin/kbd-chooser
+	cp kbd-chooser-apply $(DESTDIR)/usr/bin/kbd-chooser-apply
 	cp kbd-mode $(DESTDIR)/usr/bin/kbd-mode
 
 .PHONY: demo

=== debian/changelog ===
kbd-chooser (1.30ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
  * Backport from trunk:
    - Remove yyunput() from generated flex scanner (causes compiler
      warning).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Aug 2006 14:03:04 +0100

kbd-chooser (1.30) unstable; urgency=low

  [ Colin Watson ]
  * Const-correctness in findfile_in_dir() and findfile().
  * Remove redeclaration of findfile() in loadkeys.y.

  [ Theppitak Karoonboonyanan ]
  * Add Thai (tis-620) keysyms support. Closes: #377355.

  [ Frans Pop ]
  * Add support for ppc64. Closes: #339716.
  * Execute S55kbd-chooser in debian-installer.d where it belongs so that
    UTF-8 support actually gets enabled. Closes: #365308.
  * Add Lintian override for standards-version.

  [ Philip Hands ]
  * Add isinstallable: to delay configuration if auto-install/enabled=true.

  [ Davide Viti ]
  * Enable "iso-8859-7" needed to install Greek keyboard. Closes: #382697.
  * Disable "mazovia", "koi8", "cp1250" keysyms which are currently unused;
    re-enabling can be done in config.h by uncommenting the right define(s).

  [ Updated translations ]
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Estonian (et.po) by Siim Põder
  * Gujarati (gu.po) by Kartik Mistry
  * Icelandic (is.po) by David Steinn Geirsson
  * Panjabi (pa.po) by A S Alam
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Wed, 23 Aug 2006 00:04:47 +0200

kbd-chooser (1.29ubuntu2) edgy; urgency=low

  * Remove oem-config-keyboard package, moved into oem-config proper.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Aug 2006 16:44:16 +0100

kbd-chooser (1.29ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Jul 2006 15:24:32 +0100

kbd-chooser (1.29) unstable; urgency=low

  [ Frans Pop ]
  * usb-kbd.c: Switch back to using USB-MAC keymaps for powerpc as otherwise
    the mode switch key (for accented characters) is mapped to the wrong key.
  * Move finish-install script to base-installer to allow inclusion of keymap
    in initrd. Based on patch from David Härdeman. Closes: #376310.

  [ Colin Watson ]
  * Make xstrdup() prototype const-correct.

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Galician (gl.po) by Jacobo Tarrio

 -- Frans Pop <fjp@debian.org>  Mon,  3 Jul 2006 22:53:19 +0200

kbd-chooser (1.28) unstable; urgency=low

  * Fix long broken bootkbd boot option; needs to run kbd-chooser inside a
    debconf instance. Closes: #373650

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Jun 2006 20:09:15 -0400

kbd-chooser (1.27) unstable; urgency=low

  [ Colin Watson ]
  * Fix memory leak: debconf_set doesn't need to be given copies of strings.

  [ Joey Hess ]
  * prebaseconfig transition

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Basque (eu.po) by Piarres Beobide
  * Georgian (ka.po) by Aiet Kolkhi
  * Lithuanian (lt.po) by Kęstutis Biliūnas

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:02:21 -0400

kbd-chooser (1.26) unstable; urgency=low

  [ Colin Watson ]
  * Escape commas while substituting descriptions into choices lists
    (closes: https://launchpad.net/bugs/40042).

  [ Frans Pop ]
  * usb-kbd.c: Add generic AT keyboard where we used to add a generic USB
    keyboard. Some apple systems that have ADB keyboards depended on the
    generic line for keyboard configuration as ADB keyboards themselves are
    not actually detected.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Danish (da.po) by Claus Hindsgaul
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Hungarian (hu.po) by SZERVÑC Attila
  * Khmer (km.po) by Leang Chumsoben
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovenian (sl.po) by Jure Čuhalev
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Sat, 13 May 2006 00:56:36 +0200

kbd-chooser (1.25) unstable; urgency=low

  * No longer offer mac-usb keymaps; force any usb keyboard to use AT
    keymaps instead.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide
  * Irish (ga.po) by Kevin Patrick Scannell
  * Galician (gl.po) by Jacobo Tarrio

 -- Frans Pop <fjp@debian.org>  Tue, 28 Mar 2006 18:47:45 +0200

kbd-chooser (1.24) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add armeb to the Architecture field.

  [ Joey Hess ]
  * Rebuilt with current libd-i and cdebconf for proper udeb deps.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Basque (eu.po) by Piarres Beobide
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÑC Attila
  * Khmer (km.po) by Hok Kakada
  * Latvian (lv.po) by Aigars Mahinovs
  * Punjabi (Gurmukhi) (pa_IN.po) by Amanpreet Singh Alam
  * Romanian (ro.po) by Eddy Petrişor
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Vietnamese (vi.po) by Clytie Siddall

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 14:52:24 -0500

kbd-chooser (1.23ubuntu18) dapper; urgency=low

  * Explicitly reset kbd-chooser/method on the occasions when we need to do
    so to avoid infinite loops, rather than forcibly resetting it nearly
    every time; fixes preseeding (closes: Malone #31661).
  * Fix segfault if localechooser hasn't been run yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 May 2006 21:43:08 +0100

kbd-chooser (1.23ubuntu17) dapper; urgency=low

  * Change button order in oem-config's glade file.  Malone #40226.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 15 May 2006 12:20:25 +0200



=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm armeb m68k powerpc ppc64 amd64
XB-Installer-Menu-Item: 12
Depends: ${shlibs:Depends}, ${misc:Depends}, console-keymaps, cdebconf-newt-detect-keys
Description: Detect a keyboard and select layout
XC-Package-Type: udeb

## kbd-chooser 1.34

=== debian/changelog ===
kbd-chooser (1.34) unstable; urgency=low

  [ Joey Hess ]
  * Add armel architecture.
  * Small fix for armeb.

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Malayalam (ml.po) by Praveen A

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 16:53:05 +0100

kbd-chooser (1.33) unstable; urgency=low

  * Parameter for hands-off installs has been changed to auto-install/enable
    for consistency with rescue.

 -- Frans Pop <fjp@debian.org>  Fri,  2 Feb 2007 17:08:40 +0100

kbd-chooser (1.32) unstable; urgency=low

  [ Christian Perrier ]
  * Remove a workaround from the sarge days, aimed to install some keymaps
    properly. Removed for all languages it affected (Turkish, Lituanian,
    Hebrew, Ukrainian and Latvian), even though we did not receive
    confirmation for all of them. Closes: #406897.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Jamil Ahmed
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Italian (it.po) by Stefano Canepa
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Tue, 30 Jan 2007 21:27:02 +0100

kbd-chooser (1.31) unstable; urgency=low

  [ Colin Watson ]
  * Remove yyunput() from generated flex scanner (causes compiler warning).

  [ Frans Pop ]
  * kbd-chooser.h: fix typo in define test for m68k.
  * Make use of new Choices-C facility for console-tools/archs template.
    Requires cdebconf 0.106.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Bengali (bn.po) by Mahay Alam Khan (???? ??? ???)
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 14:57:15 +0200

=== debian/control ===
Source: kbd-chooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, Joey Hess <joeyh@debian.org>, Christian Perrier <bubulle@debian.org>, Colin Watson <cjwatson@debian.org>, Matt Kraai <kraai@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), libdebian-installer4-dev (>= 0.41), po-debconf (>= 0.5.0), flex | flex-old , bison, libdebconfclient0-dev (>= 0.49)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/kbd-chooser

Package: kbd-chooser
Architecture: i386 ia64 hppa alpha sparc mips mipsel arm armel armeb m68k powerpc ppc64 amd64
XB-Installer-Menu-Item: 12
Depends: ${shlibs:Depends}, ${misc:Depends}, console-keymaps
Description: Detect a keyboard and select layout
XC-Package-Type: udeb
